---
title: Create an AuthN Mapping
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > AuthN Mappings
---

# Create an AuthN Mapping{% #create-an-authn-mapping %}
Copy pageCopied
{% tab title="v2" %}

| Datadog site      | API endpoint                                             |
| ----------------- | -------------------------------------------------------- |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/authn_mappings |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/authn_mappings |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/authn_mappings      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/authn_mappings      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/authn_mappings  |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/authn_mappings     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/authn_mappings |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/authn_mappings |

### Overview

Create an AuthN Mapping. This endpoint requires the `user_access_manage` permission.

### Request

#### Body Data (required)



{% tab title="Model" %}

| Parent field  | Field                  | Type          | Description                                                                         |
| ------------- | ---------------------- | ------------- | ----------------------------------------------------------------------------------- |
|               | data [*required*] | object        | Data for creating an AuthN Mapping.                                                 |
| data          | attributes             | object        | Key/Value pair of attributes used for create request.                               |
| attributes    | attribute_key          | string        | Key portion of a key/value pair of the attribute sent from the Identity Provider.   |
| attributes    | attribute_value        | string        | Value portion of a key/value pair of the attribute sent from the Identity Provider. |
| data          | relationships          |  <oneOf> | Relationship of AuthN Mapping create object to a Role or Team.                      |
| relationships | Option 1               | object        | Relationship of AuthN Mapping to a Role.                                            |
| Option 1      | role [*required*] | object        | Relationship to role.                                                               |
| role          | data                   | object        | Relationship to role object.                                                        |
| data          | id                     | string        | The unique identifier of the role.                                                  |
| data          | type                   | enum          | Roles type. Allowed enum values: `roles`                                            |
| relationships | Option 2               | object        | Relationship of AuthN Mapping to a Team.                                            |
| Option 2      | team [*required*] | object        | Relationship to team.                                                               |
| team          | data                   | object        | Relationship to Team object.                                                        |
| data          | id                     | string        | The unique identifier of the team.                                                  |
| data          | type                   | enum          | Team type Allowed enum values: `team`                                               |
| data          | type [*required*] | enum          | AuthN Mappings resource type. Allowed enum values: `authn_mappings`                 |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "attribute_key": "exampleauthnmapping",
      "attribute_value": "Example-AuthN-Mapping"
    },
    "relationships": {
      "role": {
        "data": {
          "id": "string",
          "type": "roles"
        }
      }
    },
    "type": "authn_mappings"
  }
}
```

{% /tab %}

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
AuthN Mapping response from the API.

| Parent field             | Field                       | Type            | Description                                                                                                                                                                                                                                                                                   |
| ------------------------ | --------------------------- | --------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
|                          | data                        | object          | The AuthN Mapping object returned by API.                                                                                                                                                                                                                                                     |
| data                     | attributes                  | object          | Attributes of AuthN Mapping.                                                                                                                                                                                                                                                                  |
| attributes               | attribute_key               | string          | Key portion of a key/value pair of the attribute sent from the Identity Provider.                                                                                                                                                                                                             |
| attributes               | attribute_value             | string          | Value portion of a key/value pair of the attribute sent from the Identity Provider.                                                                                                                                                                                                           |
| attributes               | created_at                  | date-time       | Creation time of the AuthN Mapping.                                                                                                                                                                                                                                                           |
| attributes               | modified_at                 | date-time       | Time of last AuthN Mapping modification.                                                                                                                                                                                                                                                      |
| attributes               | saml_assertion_attribute_id | string          | The ID of the SAML assertion attribute.                                                                                                                                                                                                                                                       |
| data                     | id [*required*]        | string          | ID of the AuthN Mapping.                                                                                                                                                                                                                                                                      |
| data                     | relationships               | object          | All relationships associated with AuthN Mapping.                                                                                                                                                                                                                                              |
| relationships            | role                        | object          | Relationship to role.                                                                                                                                                                                                                                                                         |
| role                     | data                        | object          | Relationship to role object.                                                                                                                                                                                                                                                                  |
| data                     | id                          | string          | The unique identifier of the role.                                                                                                                                                                                                                                                            |
| data                     | type                        | enum            | Roles type. Allowed enum values: `roles`                                                                                                                                                                                                                                                      |
| relationships            | saml_assertion_attribute    | object          | AuthN Mapping relationship to SAML Assertion Attribute.                                                                                                                                                                                                                                       |
| saml_assertion_attribute | data [*required*]      | object          | Data of AuthN Mapping relationship to SAML Assertion Attribute.                                                                                                                                                                                                                               |
| data                     | id [*required*]        | string          | The ID of the SAML assertion attribute.                                                                                                                                                                                                                                                       |
| data                     | type [*required*]      | enum            | SAML assertion attributes resource type. Allowed enum values: `saml_assertion_attributes`                                                                                                                                                                                                     |
| relationships            | team                        | object          | Relationship to team.                                                                                                                                                                                                                                                                         |
| team                     | data                        | object          | Relationship to Team object.                                                                                                                                                                                                                                                                  |
| data                     | id                          | string          | The unique identifier of the team.                                                                                                                                                                                                                                                            |
| data                     | type                        | enum            | Team type Allowed enum values: `team`                                                                                                                                                                                                                                                         |
| data                     | type [*required*]      | enum            | AuthN Mappings resource type. Allowed enum values: `authn_mappings`                                                                                                                                                                                                                           |
|                          | included                    | [ <oneOf>] | Included data in the AuthN Mapping response.                                                                                                                                                                                                                                                  |
| included                 | Option 1                    | object          | SAML assertion attribute.                                                                                                                                                                                                                                                                     |
| Option 1                 | attributes                  | object          | Key/Value pair of attributes used in SAML assertion attributes.                                                                                                                                                                                                                               |
| attributes               | attribute_key               | string          | Key portion of a key/value pair of the attribute sent from the Identity Provider.                                                                                                                                                                                                             |
| attributes               | attribute_value             | string          | Value portion of a key/value pair of the attribute sent from the Identity Provider.                                                                                                                                                                                                           |
| Option 1                 | id [*required*]        | string          | The ID of the SAML assertion attribute.                                                                                                                                                                                                                                                       |
| Option 1                 | type [*required*]      | enum            | SAML assertion attributes resource type. Allowed enum values: `saml_assertion_attributes`                                                                                                                                                                                                     |
| included                 | Option 2                    | object          | Role object returned by the API.                                                                                                                                                                                                                                                              |
| Option 2                 | attributes                  | object          | Attributes of the role.                                                                                                                                                                                                                                                                       |
| attributes               | created_at                  | date-time       | Creation time of the role.                                                                                                                                                                                                                                                                    |
| attributes               | modified_at                 | date-time       | Time of last role modification.                                                                                                                                                                                                                                                               |
| attributes               | name                        | string          | The name of the role. The name is neither unique nor a stable identifier of the role.                                                                                                                                                                                                         |
| attributes               | receives_permissions_from   | [string]        | The managed role from which this role automatically inherits new permissions. Specify one of the following: "Datadog Admin Role", "Datadog Standard Role", or "Datadog Read Only Role". If empty or not specified, the role does not automatically inherit permissions from any managed role. |
| attributes               | user_count                  | int64           | Number of users with that role.                                                                                                                                                                                                                                                               |
| Option 2                 | id                          | string          | The unique identifier of the role.                                                                                                                                                                                                                                                            |
| Option 2                 | relationships               | object          | Relationships of the role object returned by the API.                                                                                                                                                                                                                                         |
| relationships            | permissions                 | object          | Relationship to multiple permissions objects.                                                                                                                                                                                                                                                 |
| permissions              | data                        | [object]        | Relationships to permission objects.                                                                                                                                                                                                                                                          |
| data                     | id                          | string          | ID of the permission.                                                                                                                                                                                                                                                                         |
| data                     | type                        | enum            | Permissions resource type. Allowed enum values: `permissions`                                                                                                                                                                                                                                 |
| Option 2                 | type [*required*]      | enum            | Roles type. Allowed enum values: `roles`                                                                                                                                                                                                                                                      |
| included                 | Option 3                    | object          | Team.                                                                                                                                                                                                                                                                                         |
| Option 3                 | attributes                  | object          | Team attributes.                                                                                                                                                                                                                                                                              |
| attributes               | avatar                      | string          | Unicode representation of the avatar for the team, limited to a single grapheme                                                                                                                                                                                                               |
| attributes               | banner                      | int64           | Banner selection for the team                                                                                                                                                                                                                                                                 |
| attributes               | handle                      | string          | The team's identifier                                                                                                                                                                                                                                                                         |
| attributes               | link_count                  | int32           | The number of links belonging to the team                                                                                                                                                                                                                                                     |
| attributes               | name                        | string          | The name of the team                                                                                                                                                                                                                                                                          |
| attributes               | summary                     | string          | A brief summary of the team, derived from the `description`                                                                                                                                                                                                                                   |
| attributes               | user_count                  | int32           | The number of users belonging to the team                                                                                                                                                                                                                                                     |
| Option 3                 | id                          | string          | The ID of the Team.                                                                                                                                                                                                                                                                           |
| Option 3                 | type                        | enum            | Team type Allowed enum values: `team`                                                                                                                                                                                                                                                         |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "attribute_key": "member-of",
      "attribute_value": "Development",
      "created_at": "2019-09-19T10:00:00.000Z",
      "modified_at": "2019-09-19T10:00:00.000Z",
      "saml_assertion_attribute_id": "0"
    },
    "id": "3653d3c6-0c75-11ea-ad28-fb5701eabc7d",
    "relationships": {
      "role": {
        "data": {
          "id": "3653d3c6-0c75-11ea-ad28-fb5701eabc7d",
          "type": "roles"
        }
      },
      "saml_assertion_attribute": {
        "data": {
          "id": "0",
          "type": "saml_assertion_attributes"
        }
      },
      "team": {
        "data": {
          "id": "f9bb8444-af7f-11ec-ac2c-da7ad0900001",
          "type": "team"
        }
      }
    },
    "type": "authn_mappings"
  },
  "included": [
    {
      "attributes": {
        "attribute_key": "member-of",
        "attribute_value": "Development"
      },
      "id": "0",
      "type": "saml_assertion_attributes"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Authentication Error
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                          \## default
# 
 \# Curl command curl -X POST "https://api.datadoghq.com/api/v2/authn_mappings" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "data": {
    "attributes": {
      "attribute_key": "member-of",
      "attribute_value": "Development"
    },
    "type": "authn_mappings"
  }
}
EOF 
                        
##### 

```go
// Create an AuthN Mapping returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	// there is a valid "role" in the system
	RoleDataID := os.Getenv("ROLE_DATA_ID")

	body := datadogV2.AuthNMappingCreateRequest{
		Data: datadogV2.AuthNMappingCreateData{
			Attributes: &datadogV2.AuthNMappingCreateAttributes{
				AttributeKey:   datadog.PtrString("exampleauthnmapping"),
				AttributeValue: datadog.PtrString("Example-AuthN-Mapping"),
			},
			Relationships: &datadogV2.AuthNMappingCreateRelationships{
				AuthNMappingRelationshipToRole: &datadogV2.AuthNMappingRelationshipToRole{
					Role: datadogV2.RelationshipToRole{
						Data: &datadogV2.RelationshipToRoleData{
							Id:   datadog.PtrString(RoleDataID),
							Type: datadogV2.ROLESTYPE_ROLES.Ptr(),
						},
					},
				}},
			Type: datadogV2.AUTHNMAPPINGSTYPE_AUTHN_MAPPINGS,
		},
	}
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewAuthNMappingsApi(apiClient)
	resp, r, err := api.CreateAuthNMapping(ctx, body)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `AuthNMappingsApi.CreateAuthNMapping`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `AuthNMappingsApi.CreateAuthNMapping`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" go run "main.go"
##### 

```java
// Create an AuthN Mapping returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.AuthNMappingsApi;
import com.datadog.api.client.v2.model.AuthNMappingCreateAttributes;
import com.datadog.api.client.v2.model.AuthNMappingCreateData;
import com.datadog.api.client.v2.model.AuthNMappingCreateRelationships;
import com.datadog.api.client.v2.model.AuthNMappingCreateRequest;
import com.datadog.api.client.v2.model.AuthNMappingRelationshipToRole;
import com.datadog.api.client.v2.model.AuthNMappingResponse;
import com.datadog.api.client.v2.model.AuthNMappingsType;
import com.datadog.api.client.v2.model.RelationshipToRole;
import com.datadog.api.client.v2.model.RelationshipToRoleData;
import com.datadog.api.client.v2.model.RolesType;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    AuthNMappingsApi apiInstance = new AuthNMappingsApi(defaultClient);

    // there is a valid "role" in the system
    String ROLE_DATA_ID = System.getenv("ROLE_DATA_ID");

    AuthNMappingCreateRequest body =
        new AuthNMappingCreateRequest()
            .data(
                new AuthNMappingCreateData()
                    .attributes(
                        new AuthNMappingCreateAttributes()
                            .attributeKey("exampleauthnmapping")
                            .attributeValue("Example-AuthN-Mapping"))
                    .relationships(
                        new AuthNMappingCreateRelationships(
                            new AuthNMappingRelationshipToRole()
                                .role(
                                    new RelationshipToRole()
                                        .data(
                                            new RelationshipToRoleData()
                                                .id(ROLE_DATA_ID)
                                                .type(RolesType.ROLES)))))
                    .type(AuthNMappingsType.AUTHN_MAPPINGS));

    try {
      AuthNMappingResponse result = apiInstance.createAuthNMapping(body);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling AuthNMappingsApi#createAuthNMapping");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" java "Example.java"
##### 

```python
"""
Create an AuthN Mapping returns "OK" response
"""

from os import environ
from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.authn_mappings_api import AuthNMappingsApi
from datadog_api_client.v2.model.authn_mapping_create_attributes import AuthNMappingCreateAttributes
from datadog_api_client.v2.model.authn_mapping_create_data import AuthNMappingCreateData
from datadog_api_client.v2.model.authn_mapping_create_request import AuthNMappingCreateRequest
from datadog_api_client.v2.model.authn_mapping_relationship_to_role import AuthNMappingRelationshipToRole
from datadog_api_client.v2.model.authn_mappings_type import AuthNMappingsType
from datadog_api_client.v2.model.relationship_to_role import RelationshipToRole
from datadog_api_client.v2.model.relationship_to_role_data import RelationshipToRoleData
from datadog_api_client.v2.model.roles_type import RolesType

# there is a valid "role" in the system
ROLE_DATA_ID = environ["ROLE_DATA_ID"]

body = AuthNMappingCreateRequest(
    data=AuthNMappingCreateData(
        attributes=AuthNMappingCreateAttributes(
            attribute_key="exampleauthnmapping",
            attribute_value="Example-AuthN-Mapping",
        ),
        relationships=AuthNMappingRelationshipToRole(
            role=RelationshipToRole(
                data=RelationshipToRoleData(
                    id=ROLE_DATA_ID,
                    type=RolesType.ROLES,
                ),
            ),
        ),
        type=AuthNMappingsType.AUTHN_MAPPINGS,
    ),
)

configuration = Configuration()
with ApiClient(configuration) as api_client:
    api_instance = AuthNMappingsApi(api_client)
    response = api_instance.create_authn_mapping(body=body)

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" python3 "example.py"
##### 

```ruby
# Create an AuthN Mapping returns "OK" response

require "datadog_api_client"
api_instance = DatadogAPIClient::V2::AuthNMappingsAPI.new

# there is a valid "role" in the system
ROLE_DATA_ID = ENV["ROLE_DATA_ID"]

body = DatadogAPIClient::V2::AuthNMappingCreateRequest.new({
  data: DatadogAPIClient::V2::AuthNMappingCreateData.new({
    attributes: DatadogAPIClient::V2::AuthNMappingCreateAttributes.new({
      attribute_key: "exampleauthnmapping",
      attribute_value: "Example-AuthN-Mapping",
    }),
    relationships: DatadogAPIClient::V2::AuthNMappingRelationshipToRole.new({
      role: DatadogAPIClient::V2::RelationshipToRole.new({
        data: DatadogAPIClient::V2::RelationshipToRoleData.new({
          id: ROLE_DATA_ID,
          type: DatadogAPIClient::V2::RolesType::ROLES,
        }),
      }),
    }),
    type: DatadogAPIClient::V2::AuthNMappingsType::AUTHN_MAPPINGS,
  }),
})
p api_instance.create_authn_mapping(body)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" rb "example.rb"
##### 

```rust
// Create an AuthN Mapping returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_authn_mappings::AuthNMappingsAPI;
use datadog_api_client::datadogV2::model::AuthNMappingCreateAttributes;
use datadog_api_client::datadogV2::model::AuthNMappingCreateData;
use datadog_api_client::datadogV2::model::AuthNMappingCreateRelationships;
use datadog_api_client::datadogV2::model::AuthNMappingCreateRequest;
use datadog_api_client::datadogV2::model::AuthNMappingRelationshipToRole;
use datadog_api_client::datadogV2::model::AuthNMappingsType;
use datadog_api_client::datadogV2::model::RelationshipToRole;
use datadog_api_client::datadogV2::model::RelationshipToRoleData;
use datadog_api_client::datadogV2::model::RolesType;

#[tokio::main]
async fn main() {
    // there is a valid "role" in the system
    let role_data_id = std::env::var("ROLE_DATA_ID").unwrap();
    let body = AuthNMappingCreateRequest::new(
        AuthNMappingCreateData::new(AuthNMappingsType::AUTHN_MAPPINGS)
            .attributes(
                AuthNMappingCreateAttributes::new()
                    .attribute_key("exampleauthnmapping".to_string())
                    .attribute_value("Example-AuthN-Mapping".to_string()),
            )
            .relationships(
                AuthNMappingCreateRelationships::AuthNMappingRelationshipToRole(Box::new(
                    AuthNMappingRelationshipToRole::new(
                        RelationshipToRole::new().data(
                            RelationshipToRoleData::new()
                                .id(role_data_id.clone())
                                .type_(RolesType::ROLES),
                        ),
                    ),
                )),
            ),
    );
    let configuration = datadog::Configuration::new();
    let api = AuthNMappingsAPI::with_config(configuration);
    let resp = api.create_authn_mapping(body).await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
##### 

```typescript
/**
 * Create an AuthN Mapping returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
const apiInstance = new v2.AuthNMappingsApi(configuration);

// there is a valid "role" in the system
const ROLE_DATA_ID = process.env.ROLE_DATA_ID as string;

const params: v2.AuthNMappingsApiCreateAuthNMappingRequest = {
  body: {
    data: {
      attributes: {
        attributeKey: "exampleauthnmapping",
        attributeValue: "Example-AuthN-Mapping",
      },
      relationships: {
        role: {
          data: {
            id: ROLE_DATA_ID,
            type: "roles",
          },
        },
      },
      type: "authn_mappings",
    },
  },
};

apiInstance
  .createAuthNMapping(params)
  .then((data: v2.AuthNMappingResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" tsc "example.ts"
{% /tab %}
